Bug 1203856 - CVE-2015-0209 CVE-2015-0293 CVE-2015-0287 CVE-2015-0286 CVE-2015-0289 CVE-2015-0288 mingw-openssl: various flaws [epel-7]
Summary: CVE-2015-0209 CVE-2015-0293 CVE-2015-0287 CVE-2015-0286 CVE-2015-0289 CVE-201...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: mingw-openssl
Version: epel7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2015-0209 CVE-2015-0286 CVE-2015-0287 CVE-2015-0289 CVE-2015-0292 CVE-2015-0293 CVE-2015-0288
TreeView+ depends on / blocked
 
Reported: 2015-03-19 19:01 UTC by Tomas Hoger
Modified: 2015-05-11 00:48 UTC (History)
5 users (show)

Fixed In Version: mingw-openssl-1.0.2a-1.el7
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-11 00:48:56 UTC


Attachments (Terms of Use)

Description Tomas Hoger 2015-03-19 19:01:43 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

epel-7 tracking bug for mingw-openssl: see blocks bug list for full details of the security issue(s).

This bug is never intended to be made public, please put any public notes
in the blocked bugs.

[bug automatically created by: add-tracking-bugs]

Comment 1 Tomas Hoger 2015-03-19 19:01:52 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1196737,1203856

# Description of your update
notes=Security fix for CVE-2015-0209

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1196737,1203856

Comment 2 Tomas Hoger 2015-03-19 19:02:37 UTC
Adding parent bug 1202366 (for CVE-2015-0286).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1203856,1196737,1202366

# Description of your update
notes=Security fix for CVE-2015-0209, CVE-2015-0286

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1203856,1196737,1202366

Comment 3 Tomas Hoger 2015-03-19 19:03:34 UTC
Adding parent bug 1202380 (for CVE-2015-0287).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1203856,1196737,1202366,1202380

# Description of your update
notes=Security fix for CVE-2015-0209, CVE-2015-0286, CVE-2015-0287

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1203856,1196737,1202366,1202380

Comment 4 Tomas Hoger 2015-03-19 19:04:31 UTC
Adding parent bug 1202384 (for CVE-2015-0289).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1203856,1196737,1202366,1202380,1202384

# Description of your update
notes=Security fix for CVE-2015-0209, CVE-2015-0287, CVE-2015-0286, CVE-2015-0289

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1203856,1196737,1202366,1202380,1202384

Comment 5 Tomas Hoger 2015-03-19 19:05:28 UTC
Adding parent bug 1202395 (for CVE-2015-0292).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1203856,1196737,1202366,1202380,1202384,1202395

# Description of your update
notes=Security fix for CVE-2015-0209, CVE-2015-0289, CVE-2015-0287, CVE-2015-0286, CVE-2015-0292

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1203856,1196737,1202366,1202380,1202384,1202395

Comment 6 Tomas Hoger 2015-03-19 19:06:26 UTC
Adding parent bug 1202404 (for CVE-2015-0293).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1203856,1196737,1202366,1202380,1202384

# Description of your update
notes=Security fix for CVE-2015-0209, CVE-2015-0289, CVE-2015-0287, CVE-2015-0286, CVE-2015-0293

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1203856,1196737,1202366,1202380,1202384

Comment 7 Tomas Hoger 2015-03-19 19:07:30 UTC
Adding parent bug 1202418 (for CVE-2015-0288).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1203856,1196737,1202366,1202380,1202384,1202395,1202404,1202418

# Description of your update
notes=Security fix for CVE-2015-0209, CVE-2015-0289, CVE-2015-0293, CVE-2015-0287, CVE-2015-0286, CVE-2015-0288

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1203856,1196737,1202366,1202380,1202384,1202395,1202404,1202418

Comment 8 Fedora Update System 2015-04-24 19:04:40 UTC
mingw-openssl-1.0.2a-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mingw-openssl-1.0.2a-1.el7

Comment 9 Fedora Update System 2015-04-25 23:51:58 UTC
Package mingw-openssl-1.0.2a-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mingw-openssl-1.0.2a-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-5987/mingw-openssl-1.0.2a-1.el7
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2015-05-11 00:48:56 UTC
mingw-openssl-1.0.2a-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.